Bug 1438685 - Add --shell to the rhpkg command
Summary: Add --shell to the rhpkg command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg
Version: 29
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-04 08:14 UTC by Michal Pryc
Modified: 2018-09-06 03:43 UTC (History)
7 users (show)

Fixed In Version: rpkg-1.56-1.fc28 rpkg-1.56-1.fc27 rpkg-1.56-1.el7 rpkg-1.56-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 04:53:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Pryc 2017-04-04 08:14:33 UTC
Description of problem:
Similarly to mock command, rhpkg should have --shell subcommand that allows to run command within the chroot created by the tool.

This will allow easy access to the environment created by run with "--no-cleanup-after".

Currently few manual steps are required to log in to the environment created by:

$ rhpkg mockbuild --no-clean-all


See --help from mock:
$ mock --help
[...]
--shell               run the specified command interactively within the
                        chroot. Default command: /bin/sh
[...]

Comment 1 Thierry Vignaud 2017-04-04 08:15:49 UTC
Indeed having "rhpkg mockbuild --shell" would be very useful

Comment 2 Fedora End Of Life 2018-05-03 08:37:49 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:59:12 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 cqi 2018-08-14 06:01:40 UTC
Refer to https://pagure.io/rpkg/issue/321

Comment 5 Jan Kurik 2018-08-14 10:19:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Fedora Update System 2018-08-22 07:51:43 UTC
fedpkg-1.35-1.el7 rpkg-1.56-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b9c5bded6e

Comment 7 Fedora Update System 2018-08-22 07:52:21 UTC
fedpkg-1.35-1.el6 rpkg-1.56-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8d36e5f524

Comment 8 Fedora Update System 2018-08-22 07:52:45 UTC
fedpkg-1.35-1.fc27 rpkg-1.56-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b83678c28

Comment 9 Fedora Update System 2018-08-22 07:53:10 UTC
fedpkg-1.35-1.fc28 rpkg-1.56-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba8314548a

Comment 10 Fedora Update System 2018-08-22 10:00:53 UTC
fedpkg-1.35-1.fc27, rpkg-1.56-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b83678c28

Comment 11 Fedora Update System 2018-08-22 11:02:51 UTC
fedpkg-1.35-1.el7, rpkg-1.56-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b9c5bded6e

Comment 12 Fedora Update System 2018-08-22 11:51:56 UTC
fedpkg-1.35-1.el6, rpkg-1.56-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8d36e5f524

Comment 13 Fedora Update System 2018-08-22 11:57:59 UTC
fedpkg-1.35-1.fc28, rpkg-1.56-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba8314548a

Comment 14 Fedora Update System 2018-08-30 04:53:59 UTC
fedpkg-1.35-1.fc28, rpkg-1.56-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-08-30 18:51:35 UTC
fedpkg-1.35-1.fc27, rpkg-1.56-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-09-06 01:00:40 UTC
fedpkg-1.35-1.el7, rpkg-1.56-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-09-06 03:43:33 UTC
fedpkg-1.35-1.el6, rpkg-1.56-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.